Zum Inhalt springen

Überblick

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

Diese API-Referenz beschreibt Endpunkte für die Verwaltung von Abonnements, Gutscheinen und Werbeaktionen. Weitere Informationen über Subscriptions finden Sie in der Produktanleitung und in der Begriffserläuterung.

OpenAPI-Beschreibung herunterladen
Sprachen
Server
Mock server
https://xsolla.redocly.app/_mock/de/api/subscriptions/
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen

Anfrage

Sicherheit
subscriptionsManagementJwtAuth
Pfad
subscription_idinteger\d+erforderlich
project_idinteger\d+erforderlich
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Antworten

Make subscription non-renewable

Bodyapplication/json
Antwort
application/json
null

Anfrage

Sicherheit
subscriptionsManagementJwtAuth
Pfad
subscription_idinteger\d+erforderlich
project_idinteger\d+erforderlich
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_account' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Antworten

Get payment account info

Bodyapplication/json
card_expiry_dateobject or null
idintegererforderlich
Beispiel: "123"
namestring or null
Beispiel: "** 7398"
ps_namestring or null
Beispiel: "Mastercard"
switch_icon_namestring or null
Beispiel: "mastercard.svg"
typestringerforderlich
Beispiel: "card"
Antwort
application/json
{ "card_expiry_date": { "month": "09", "year": "2023" }, "id": "123", "name": "** 7398", "ps_name": "Mastercard", "switch_icon_name": "mastercard.svg", "type": "card" }